Search table records with advanced filtering and sorting options
Authentication: required
Required API Scope: Workspace Content: Read
curl --request POST \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/content/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"per_page": 50,
"sort": {
"id": "desc"
},
"search": []
}
'{
"items": {},
"itemsReceived": 123,
"curPage": 123,
"nextPage": 123,
"prevPage": 123,
"offset": 123,
"perPage": 123,
"itemsTotal": 123,
"pageTotal": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
curl --request POST \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/content/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"per_page": 50,
"sort": {
"id": "desc"
},
"search": []
}
'{
"items": {},
"itemsReceived": 123,
"curPage": 123,
"nextPage": 123,
"prevPage": 123,
"offset": 123,
"perPage": 123,
"itemsTotal": 123,
"pageTotal": 123
}